Uploaded image for project: 'Spring Web Services'
  1. Spring Web Services
  2. SWS-425

Upgrade xmlsec to 1.4.1, since 1.4.0 has problems with UTF-8

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.5.4
    • Fix Version/s: 1.5.5
    • Component/s: Core
    • Labels:
      None
    • Environment:
      Spring-WS 1.5.4, WSS4J 1.5.4, Apache XML Security 1.4.0

      Description

      Apache XML Security 1.4.0 has major problems with signed and encrypted messages containing international characters (e. g. payloads containing Czech/Slovak UTF-8-encoded characters. This renders WSS4J support unusable. Version 1.4.1 fixes these problems. See XML Security bugzilla for more details, https://issues.apache.org/bugzilla/show_bug.cgi?id=41462.

      (Note that there is already a newer version 1.4.2, however I have encountered major problems with computation of digest of request messages.)

        Activity

        Transition Time In Source Status Execution Times Last Executer Last Execution Date
        Open Open In Progress In Progress
        19h 21m 1 Arjen Poutsma 05/Sep/08 9:02 PM
        In Progress In Progress Open Open
        1d 45m 1 Arjen Poutsma 06/Sep/08 9:47 PM
        Open Open Resolved Resolved
        4d 21h 27m 1 Arjen Poutsma 11/Sep/08 7:14 PM
        Resolved Resolved Closed Closed
        1330d 11h 48m 1 Arjen Poutsma 04/May/12 7:03 AM

          People

          • Assignee:
            arjen.poutsma Arjen Poutsma
            Reporter:
            novotnyr Robert Novotny
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: